aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--ChangeLog22
-rw-r--r--debian/changelog3
-rwxr-xr-xexamples/pbuilder-distribution.sh2
-rw-r--r--pbuilder-buildpackage-funcs2
-rwxr-xr-xpbuilder-checkparams8
-rwxr-xr-xpbuilder-createbuildenv8
-rw-r--r--pbuilder-modules17
-rw-r--r--pbuilder-satisfydepends4
-rwxr-xr-xpbuilder-updatebuildenv7
-rw-r--r--pbuilder-user-mode-linux.12
-rw-r--r--pbuilder.810
11 files changed, 64 insertions, 21 deletions
diff --git a/ChangeLog b/ChangeLog
index b4b1b0f..1a76b2c 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,25 @@
+2005-06-03 Junichi Uekawa <dancer@debian.org>
+
+ * pbuilder-updatebuildenv: update copyright year
+
+ * pbuilder-checkparams (BASEBUILDPLACE): move distribution 'experimental'
+ checking here, instead of 'create' target.
+
+ * pbuilder-createbuildenv: update copyright year.
+
+ * pbuilder-modules: add etch.
+ * pbuilder.8: add 'etch' for list of supported architectures, and
+ make it the default.
+
+ * examples/pbuilder-distribution.sh:
+ * pbuilder-buildpackage-funcs:
+ * pbuilder-createbuildenv:
+ * pbuilder-modules:
+ * pbuilder-satisfydepends:
+ * pbuilder-updatebuildenv:
+ * pbuilder.8: patch Emanuele Rocca <ema@debian.org> to support
+ 'experimental' for distribution.
+
2005-05-07 Junichi Uekawa <dancer@debian.org>
* Documentation/pbuilder-doc.xml: Document testsuite.
diff --git a/debian/changelog b/debian/changelog
index 746fc40..0d151a7 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -6,8 +6,9 @@ pbuilder (0.128) UNRELEASED; urgency=low
* Documentation/pbuilder-doc.xml:
- add reference on directory structure on pbuilder.
- add note on pbuilder-test
+ * Support '--distribution experimental'
- -- Junichi Uekawa <dancer@debian.org> Sat, 7 May 2005 10:03:08 +0900
+ -- Junichi Uekawa <dancer@debian.org> Fri, 3 Jun 2005 20:48:06 +0900
pbuilder (0.127) unstable; urgency=low
diff --git a/examples/pbuilder-distribution.sh b/examples/pbuilder-distribution.sh
index 9845d6a..88c29f2 100755
--- a/examples/pbuilder-distribution.sh
+++ b/examples/pbuilder-distribution.sh
@@ -1,6 +1,6 @@
#!/bin/sh
# script from Jamin W. Collins BTS: #255165
-# name this script 'pbuilder-woody', 'pbuilder-sid', 'pbuilder-sarge' etc.
+# name this script 'pbuilder-woody', 'pbuilder-sid', 'pbuilder-sarge', 'pbuilder-experimental' etc.
OPERATION=$1
DISTRIBUTION=`basename $0 | cut -f2 -d '-'`
diff --git a/pbuilder-buildpackage-funcs b/pbuilder-buildpackage-funcs
index 90e59a2..0656f14 100644
--- a/pbuilder-buildpackage-funcs
+++ b/pbuilder-buildpackage-funcs
@@ -50,7 +50,7 @@ function checkbuilddep () {
fi
# install extra packages to the chroot
if [ -n "$EXTRAPACKAGES" ]; then
- $CHROOTEXEC usr/bin/apt-get -y install ${EXTRAPACKAGES}
+ $CHROOTEXEC usr/bin/apt-get -y --force-yes install ${EXTRAPACKAGES}
fi
}
diff --git a/pbuilder-checkparams b/pbuilder-checkparams
index c205be5..9c748b3 100755
--- a/pbuilder-checkparams
+++ b/pbuilder-checkparams
@@ -252,6 +252,14 @@ if [ -z "${CHROOTEXEC}" ]; then
CHROOTEXEC="chroot $BUILDPLACE "
fi
+# handle 'experimental' specially.
+if [ "$DISTRIBUTION" = "experimental" ]; then
+ DISTRIBUTION="sid"
+ EXPERIMENTAL="true"
+else
+ EXPERIMENTAL=
+fi
+
case "$PBCURRENTCOMMANDLINEOPERATION" in
login|execute|pdebuild)
# don't do anything if it is "login", or pdebuild
diff --git a/pbuilder-createbuildenv b/pbuilder-createbuildenv
index a5d1f16..c474984 100755
--- a/pbuilder-createbuildenv
+++ b/pbuilder-createbuildenv
@@ -1,7 +1,7 @@
#! /bin/bash
# Creating the build environment with debootstrap.
# pbuilder -- personal Debian package builder
-# Copyright (C) 2001-2003 Junichi Uekawa
+# Copyright (C) 2001-2003,2005 Junichi Uekawa
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -53,6 +53,7 @@ if [ -n "$HOOKDIR" ]; then
echo " -> Applying user distribution dist build script $DEBOOTSTRAPSCRIPT"
fi
fi
+
if ! ( cd "$BUILDPLACE" && debootstrap "${DEBOOTSTRAPOPTS[@]}" "$DISTRIBUTION" . "$MIRRORSITE" "$DEBOOTSTRAPSCRIPT" ) ; then
echo "pbuilder: debootstrap failed" >&2
exit 1
@@ -63,7 +64,6 @@ loadhooks
mkdir -p "$BUILDPLACE/tmp/buildd"
-
copy_local_configuration
installaptlines
@@ -76,8 +76,8 @@ if [ -n "$REMOVEPACKAGES" ]; then
$CHROOTEXEC /usr/bin/dpkg --purge $REMOVEPACKAGES
fi
recover_aptcache
-$CHROOTEXEC /usr/bin/apt-get -y dist-upgrade
-$CHROOTEXEC /usr/bin/apt-get -y install build-essential dpkg-dev apt $EXTRAPACKAGES
+$CHROOTEXEC /usr/bin/apt-get -y --force-yes dist-upgrade
+$CHROOTEXEC /usr/bin/apt-get -y --force-yes install build-essential dpkg-dev apt $EXTRAPACKAGES
save_aptcache
$CHROOTEXEC /usr/bin/apt-get clean
diff --git a/pbuilder-modules b/pbuilder-modules
index e40ec3f..36243e1 100644
--- a/pbuilder-modules
+++ b/pbuilder-modules
@@ -27,10 +27,10 @@ pbuilder [operation] [pbuilder-options]
pdebuild [pbuilder-options]
command lines:
-pbuilder create [--basetgz base.tgz-path] [--distribution potato|woody|sarge|sid]
+pbuilder create [--basetgz base.tgz-path] [--distribution potato|woody|sarge|etch|sid|experimental]
Creates a base.tgz
-pbuilder update [--basetgz base.tgz-path] [--distribution potato|woody|sarge|sid]
+pbuilder update [--basetgz base.tgz-path] [--distribution potato|woody|sarge|etch|sid|experimental]
Updates a base.tgz
pbuilder build [--basetgz base.tgz-path] pbuilder_2.2.0-1.dsc
@@ -53,7 +53,7 @@ pbuilder-options:
--nonusmirror [non-US mirror location]
--othermirror [other mirror location in apt deb-line format, delimited with | signs]
--http-proxy [proxy]
- --distribution [distribution(potato/woody/sarge/sid)]
+ --distribution [distribution(potato|woody|sarge|sid|etch|experimental)]
--buildresult [location-to-copy-build-result]
--aptcache [location of retrieved package files]
--removepackages [packages-to-remove on pbuilder create]
@@ -242,6 +242,17 @@ EOF
echo " -> Copy " "$APTCONFDIR"/* " to chroot"
cp -a "$APTCONFDIR/"* "$BUILDPLACE"/etc/apt
fi
+
+ if [ -n "$EXPERIMENTAL" ]; then
+ echo " -> Installing apt-lines and pinning for experimental"
+ if [ -n "$MIRRORSITE" ] ; then
+ echo "deb $MIRRORSITE ../project/experimental main" >> "$BUILDPLACE"/etc/apt/sources.list
+ echo "#deb-src $MIRRORSITE ../project/experimental main" >> "$BUILDPLACE"/etc/apt/sources.list
+ fi
+ cat >> "$BUILDPLACE"/etc/apt/apt.conf << EOF
+APT::Default-Release "experimental";
+EOF
+ fi
}
function copy_local_configuration () {
diff --git a/pbuilder-satisfydepends b/pbuilder-satisfydepends
index e78a0ed..b153d7c 100644
--- a/pbuilder-satisfydepends
+++ b/pbuilder-satisfydepends
@@ -147,10 +147,10 @@ tolower($0) ~ /^'"${BD_REGEXP}"':/ {p=1}
# now actually install the packages
echo " -> Installing ${INSTALLPKGLIST}"
- if ! $CHROOTEXEC apt-get -y install ${INSTALLPKGLIST}; then
+ if ! $CHROOTEXEC apt-get -y --force-yes install ${INSTALLPKGLIST}; then
echo " -> Trying to fix apt error"
# Work around an apt bug which causes configure to fail.
- if $CHROOTEXEC dpkg --configure --pending && $CHROOTEXEC apt-get -y install ${INSTALLPKGLIST}; then
+ if $CHROOTEXEC dpkg --configure --pending && $CHROOTEXEC apt-get -y --force-yes install ${INSTALLPKGLIST}; then
echo " -> Apt bug workaround succeeded"
elif [ "$CONTINUE_FAIL" != "yes" ]; then
echo "E: Unrecoverable error installing build-dependencies." >&2
diff --git a/pbuilder-updatebuildenv b/pbuilder-updatebuildenv
index 34ea72e..8dc2463 100755
--- a/pbuilder-updatebuildenv
+++ b/pbuilder-updatebuildenv
@@ -1,6 +1,6 @@
#! /bin/bash
# pbuilder -- personal Debian package builder
-# Copyright (C) 2001-2003 Junichi Uekawa
+# Copyright (C) 2001-2003,2005 Junichi Uekawa
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -44,8 +44,8 @@ fi
recover_aptcache
$TRAP saveaptcache_umountproc_cleanbuildplace exit
-$CHROOTEXEC /usr/bin/apt-get -y "${FORCE_CONFNEW[@]}" dist-upgrade
-$CHROOTEXEC /usr/bin/apt-get -y install build-essential dpkg-dev apt $EXTRAPACKAGES
+$CHROOTEXEC /usr/bin/apt-get -y --force-yes "${FORCE_CONFNEW[@]}" dist-upgrade
+$CHROOTEXEC /usr/bin/apt-get -y --force-yes install build-essential dpkg-dev apt $EXTRAPACKAGES
save_aptcache
$TRAP umountproc_cleanbuildplace exit
$CHROOTEXEC /usr/bin/apt-get clean || true
@@ -62,4 +62,3 @@ if [ "${PRESERVE_BUILDPLACE}" = "yes" ]; then
trap exit
fi
-
diff --git a/pbuilder-user-mode-linux.1 b/pbuilder-user-mode-linux.1
index e793e30..748f0d7 100644
--- a/pbuilder-user-mode-linux.1
+++ b/pbuilder-user-mode-linux.1
@@ -1,4 +1,4 @@
-.TH "pbuilder-user-mode-linux" 1 "2002 Sep 17" "Debian" "pbuilder"
+.TH "pbuilder-user-mode-linux" 1 "2005 Jun 3" "Debian" "pbuilder"
.SH NAME
pbuilder-user-mode-linux \- personal package builder in UML
.SH SYNOPSIS
diff --git a/pbuilder.8 b/pbuilder.8
index ee1a607..28458a4 100644
--- a/pbuilder.8
+++ b/pbuilder.8
@@ -1,4 +1,4 @@
-.TH "pbuilder" 8 "2005 Feb 13" "Debian" "pbuilder"
+.TH "pbuilder" 8 "2005 Jun 3" "Debian" "pbuilder"
.SH NAME
pbuilder \- personal package builder
.SH SYNOPSIS
@@ -37,8 +37,8 @@ the given options and settings in the configuration file
for the base.tgz.
For example, to switch the distribution of an existing
-base.tgz to sarge, specify the
-.B "--distribution sarge --override-config"
+base.tgz to etch, specify the
+.B "--distribution etch --override-config"
options to update.
.TP
@@ -180,8 +180,10 @@ should do.
Specifies the distribution used. Currently the supported values are
.B "sid"
.B "sarge"
+.B "woody"
+.B "etch"
and
-.B "woody".
+.B "experimental".
This option is only effective for
.B "pbuilder create"